int snap = 1;
int led = 4;
const int buttonPin = 0;
int goState = 0;
int buttonState;
int lastButtonState = LOW;
long lastDebounceTime = 0;
long debounceDelay = 50;
unsigned long previousMillis = 0;
unsigned long previous2Millis = 0;
int timeOn = 500;
volatile int interval = 0;
boolean snapOn = false;
int count = 0;

void setup() {
  pinMode(snap, OUTPUT);
  pinMode(led, OUTPUT);
  pinMode(buttonPin, INPUT);


}

void loop() {
  
  //button stuff
  int reading = digitalRead(buttonPin);
  if (reading != lastButtonState) {
    // reset the debouncing timer
    lastDebounceTime = millis();
  }

  if ((millis() - lastDebounceTime) > debounceDelay) {

    if (reading != buttonState) {
      buttonState = reading;

      if (buttonState == HIGH) {
        interval = interval + 1000;
        goState = 1;
        count = 0;
      }
    }
  }
  lastButtonState = reading;
  // end of button stuff
  
  // timer stuff
  if (goState == 1) {
    unsigned long currentMillis = millis();
    if (snapOn == true) {
      if ((millis() - previous2Millis) >= timeOn) {
        digitalWrite(snap, LOW);
        if (count < 6) {
          digitalWrite(led, LOW);
          count++;
        }
        snapOn = false;
      }
    }
    if ((millis() - previousMillis) >= interval) {
      digitalWrite(snap, HIGH);
      if (count < 6) {
        digitalWrite(led, HIGH);
      }
      snapOn = true;
      previousMillis = millis();
      previous2Millis = millis();
    }
  }
  // end of timer stuff
}

